:root, body {
    height: 100%;
    margin: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    box-sizing: border-box;
    background-color: #f5f5f5;
}

form {
    max-width: 100%;
    width: 100ch;
    margin: auto;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1em; 
    padding-top: 1em;
    padding-bottom: 1em;
}

input[name="name"] {
    padding: 0.5em;
}

date-pick option {
    display: none;
}

date-pick h2 {
    font-size: inherit;
    margin: 0;
}

date-pick > fieldset {
    display: flex;
    flex-direction: column;
    counter-reset: date-pick-count;
    border: none;
    border-radius: 0.25em;
    background-color: #eff6f8;
}

date-pick .counter {
    background-color: #17A398;
    color: #EDF2F4;
    width: 1.5em;
    height: 1.5em;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0.25em;
}

date-pick .counter::before {
    content: "";
    font-weight: bold;
    counter-increment: date-pick-count;
}

date-pick .counter::before {
    content: counter(date-pick-count);
}

date-pick > fieldset > label {
    position: relative;
    padding: 0.5em;
    border-radius: 0.25em;
    border: transparent solid 3px;
    display: flex;
    align-items: center;
    gap: 1em;
}

date-pick label.dropping {
    border: #70D6FF solid 3px;
    border-radius: 1em;
    border-style: dotted;
}

.no-opacity {
    opacity: 0 !important;
}
